php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #21390 php.exe does not work - needs Kernel32.dll::CancelIo
Submitted: 2003-01-03 08:12 UTC Modified: 2003-02-18 10:49 UTC
Votes:2
Avg. Score:5.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:1 (50.0%)
Same OS:1 (50.0%)
From: dmitry at koteroff dot ru Assigned:
Status: Not a bug Package: Reproducible crash
PHP Version: 4.3.0 OS: Windows 95
Private report: No CVE-ID:
 [2003-01-03 08:12 UTC] dmitry at koteroff dot ru
PHP.exe (45056 bytes) does not work on Win95. 

It imports CancelIo from Kernel32.dll, but this routine does not exist in Kernel32 on Windows 95! 

Previous version (4.2.3) works correctly. There is nothing about it in PHP documentation and install.txt, maybe documenation problem?

P.S.
mod_php under Apache works OK. CLI version works too. There is only non-CLI php.exe 4.3.0 problem. 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-01-07 19:43 UTC] sniper@php.net
Please try using this CVS snapshot:

  http://snaps.php.net/php4-latest.tar.gz
 
For Windows:
 
  http://snaps.php.net/win32/php4-win32-latest.zip


 [2003-01-16 02:08 UTC] system at codeworks dot gen dot nz
I get 'permission denied' when I try to access the Windows snapshot.
 [2003-01-31 13:45 UTC] sniper@php.net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.


 [2003-01-31 13:46 UTC] sniper@php.net
Oops..we don't support win95 anymore since 4.3.0..
(there's another report about this too..in "Documentation problem" category)

 [2003-02-18 10:00 UTC] joku1935 at yahoo dot com
I don't understand.

1) If I download 
http://snaps.php.net/win32/php4-win32-STABLE-latest.zip
will it work in win95A (OSR1) ?

2) where is the report about this ?

sniper mentioned it here:
[31 Jan 1:46pm] sniper@php.net 
Oops..we don't support win95 anymore since 4.3.0..
(there's another report about this too..in "Documentation problem"
category)

Thanks - Joseph
 [2003-02-18 10:49 UTC] mgf@php.net
> 1) If I download 
> http://snaps.php.net/win32/php4-win32-STABLE-latest.zip
> will it work in win95A (OSR1) ?

No.

> 2) where is the report about this ?

(a) here!
(b) bug #21927

 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Sun Feb 26 21:01:35 2017 UTC